## bustle 0.2.0

=== Makefile ===
bustle-dbus-monitor: bustle-dbus-monitor.c
	gcc -g `pkg-config --cflags --libs dbus-1 glib-2.0` \
	-Wall -Wunused \
	-o bustle-dbus-monitor bustle-dbus-monitor.c

clean:
	rm -f bustle-dbus-monitor

## bustle 0.2.2

=== Makefile ===
bustle-dbus-monitor: bustle-dbus-monitor.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
	-g -O2 `pkg-config --cflags --libs dbus-1` \
	-Wall -Wunused \
	-o bustle-dbus-monitor bustle-dbus-monitor.c

clean:
	rm -f bustle-dbus-monitor

=== debian/changelog ===
bustle (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #587132)
    - Add libghc6-glade-dev to Build-Depends.
  * Move to dpkg v3 source format.
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Jun 2010 14:31:43 +0100

bustle (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Remove extra LICENSE file installed to /usr/share/bustle-$VER.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Dec 2009 21:02:14 +0000

bustle (0.2.0-2) unstable; urgency=low

  * Update Build-Depends to use Parsec 3. (Closes: #534091)
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jun 2009 12:28:54 +0100

bustle (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Add Suggests: on graphviz and add update long description to reflect
    new 'dot' output.
  * debian/patches:
    - Drop 01-bustle-gdk-events.diff - merged upstream.
    - Drop 02-bustle-ambiguous-exception.diff - different fix made upstream.
  * Remove quilt patch machinery as we have no local patches.
  * Bump Standards-Version to 3.8.1.
  * Add manpages for bustle-{count,dot,time}.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Apr 2009 00:08:14 +0100

bustle (0.1-2) unstable; urgency=low

  * Don't call runhaskell; GHCI isn't available on all archs (Closes: #517706)
  * Add patches for GHC 6.10 compatibility. (Closes: #518746)
    - Bump Build-Depends to ghc6 (>= 6.10)
  * Move to more "minimal" debian/rules file.
    - Bump Build-Depends on debhelper to 7.0.50 for this feature.
  * Update Git repository locations.

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Mar 2009 04:03:30 +0000

bustle (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #511111)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Jan 2009 00:03:25 +0000

=== debian/control ===
Source: bustle
Section: devel
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50), ghc6 (>= 6.10), pkg-config, libdbus-1-dev, libglib2.0-dev, libghc6-mtl-dev, libghc6-cairo-dev, libghc6-gtk-dev, libghc6-parsec3-dev, libghc6-glade-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-bustle.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-bustle.git

Package: bustle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: D-Bus activity visualiser
 Bustle is a tool to chart and provide timing information of D-Bus
 calls for profiling and debugging purposes. It is intended to replace
 reading the cryptic output of dbus-monitor.
 .
 Calls are displayed using Message Sequence Charts, a succinct way of
 representing entities and interactions over time. It can also output
 data in Graphviz format.

=== debian/watch ===
version=3
http://www.willthompson.co.uk/bustle/releases/ bustle-(.*).tar.gz

## bustle 0.2.5

=== Makefile ===
bustle-dbus-monitor: bustle-dbus-monitor.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
	-g -O2 \
	-Wall -Wunused \
	-o bustle-dbus-monitor bustle-dbus-monitor.c \
	`pkg-config --cflags --libs dbus-1`

clean:
	rm -f bustle-dbus-monitor

=== debian/changelog ===
bustle (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jun 2011 19:43:42 +0100

bustle (0.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #630979)
  * Add Homepage field. (Closes: #630978)
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2011 13:45:10 +0100

bustle (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 23:18:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50), ghc6 (>= 6.10), pkg-config, libdbus-1-dev, libglib2.0-dev, libghc6-mtl-dev, libghc6-cairo-dev, libghc6-gtk-dev, libghc6-parsec3-dev, libghc6-glade-dev
-Standards-Version: 3.8.4
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-bustle.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-bustle.git
+Standards-Version: 3.9.2
+Homepage: http://willthompson.co.uk/bustle/
+Vcs-Git: git://github.com/lamby/pkg-bustle.git
+Vcs-Browser: https://github.com/lamby/pkg-bustle
 
 Package: bustle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	dh $@
	[ ! -f ./setup ] || ./setup clean
	rm -rf bustle-dbus-monitor dist setup Setup.hi Setup.o

override_dh_auto_configure:
	ghc -package Cabal Setup.lhs -o setup
	./setup configure --prefix /usr

override_dh_auto_build:
	$(MAKE)
	./setup build

override_dh_install:
	./setup copy --destdir debian/bustle
	rm -rf debian/bustle/usr/share/doc/bustle-*
	rm -rf debian/bustle/usr/share/bustle-*/LICENSE
	dh_install

## bustle 0.4.2

=== Makefile ===
CFLAGS = -g -O2 -Wall -Wunused
DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
DESTDIR =
PREFIX = /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
MAN1DIR = $(DESTDIR)$(PREFIX)/share/man/man1

BINARIES = \
	dist/build/bustle-pcap \
	$(NULL)

MANPAGE = bustle-pcap.1

all: $(BINARIES) $(MANPAGE)

BUSTLE_PCAP_SOURCES = c-sources/pcap-monitor.c c-sources/bustle-pcap.c
BUSTLE_PCAP_GENERATED_HEADERS = dist/build/autogen/version.h
BUSTLE_PCAP_HEADERS = c-sources/pcap-monitor.h $(BUSTLE_PCAP_GENERATED_HEADERS)

bustle-pcap.1: dist/build/bustle-pcap
	-help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<

dist/build/bustle-pcap: $(BUSTLE_PCAP_SOURCES) $(BUSTLE_PCAP_HEADERS)
	@mkdir -p dist/build
	$(CC) -Idist/build/autogen $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
		-o $@ $(BUSTLE_PCAP_SOURCES) \
		$(GIO_FLAGS) $(PCAP_FLAGS)

dist/build/autogen/version.h: bustle.cabal
	@mkdir -p `dirname $@`
	perl -nle 'm/^Version:\s+(.*)$$/ and print qq(#define BUSTLE_VERSION "$$1")' \
		$< > $@

install: all
	mkdir -p $(BINDIR)
	cp $(BINARIES) $(BINDIR)
	-mkdir -p $(MAN1DIR)
	-cp bustle-pcap.1 $(MAN1DIR)

uninstall:
	rm -f $(notdir $(BINARIES))

clean:
	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS)
	if test -d ./$(TARBALL_DIR); then rm -r ./$(TARBALL_DIR); fi
	rm -f ./$(TARBALL)

# Binary tarball stuff. Please ignore this unless you're making a release.
TOP := $(shell pwd)
TARBALL_PARENT_DIR := dist
TARBALL_DIR := $(shell git describe --tags)-$(shell gcc -dumpmachine | perl -pe 's/-.*//')
TARBALL_FULL_DIR := $(TARBALL_PARENT_DIR)/$(TARBALL_DIR)
TARBALL := $(TARBALL_DIR).tar.bz2
maintainer-binary-tarball: all
	mkdir -p $(TARBALL_FULL_DIR)
	cabal-dev configure --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
		--datadir=$(TOP)/$(TARBALL_FULL_DIR) --datasubdir=.
	cabal-dev build
	cabal-dev copy
	cp bustle.sh README $(TARBALL_FULL_DIR)
	perl -pi -e 's{^    bustle-pcap}{    ./bustle-pcap};' \
		-e  's{^    bustle}     {    ./bustle.sh};' \
		$(TARBALL_FULL_DIR)/README
	cp $(BINARIES) $(MANPAGE) $(TARBALL_FULL_DIR)
	mkdir -p $(TARBALL_FULL_DIR)/lib
	cp LICENSE.bundled-libraries $(TARBALL_FULL_DIR)/lib
	./ldd-me-up.sh $(TARBALL_FULL_DIR)/bin/bustle \
		| xargs -I XXX cp XXX $(TARBALL_FULL_DIR)/lib
	cd $(TARBALL_PARENT_DIR) && tar cjf $(TARBALL) $(TARBALL_DIR)

=== debian/changelog ===
bustle (0.4.2-1) unstable; urgency=low

  * [10d8853] Imported Upstream version 0.4.2
    - The Makefile now respects the `DESTDIR` variable.
    - No more deprecation warnings about `g_thread_create()`!
    - We explicitly check for GLib ≥ 2.26.
  * [118bcd9] debian/watch: Update to match upstream URL scheme
  * [bd39b44] d/control: Check for glib-2.26 per upstream
  * [ffc40ed] d/rules: Pass -threaded if we don't have the threaded runtime available
  * [9a6ba27] Remove 0001-Makesfile-respect-DESTDIR.patch, applied upstream
    and refresh 0002-Use-g_thread_try_new-rather-than-g_thread_create.patch

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Nov 2012 11:10:26 +0000

bustle (0.4.1-1) unstable; urgency=low

  * New upstream release.
    (Closes: #693215)
  * Drop build dep on deprecated haskell-dbus-core.
  * Build depend on haskell-pcap-dev.
  * Add build-dep-indep on help2man.
  * Drop bustle strict dependency on bustle-dbus-monitor.
  * Don't use the libghc6* dummy packages but depend on the real ones.
  * Don't link the haskell98 package.
  * Added myself to debian/copyright and debian/control

 -- Hector Oron <zumbi@debian.org>  Wed, 14 Nov 2012 12:20:58 +0100

=== debian/control ===
Source: bustle
Section: devel
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50)
 , ghc (>= 6.10)
 , pkg-config
 , libdbus-1-dev
 , libglib2.0-dev (>= 2.26)
 , libghc-mtl-dev
 , libghc-cairo-dev
 , libghc-gtk-dev
 , libghc-parsec3-dev
 , libghc-glade-dev
 , libpcap0.8-dev
 , libghc-dbus-dev
 , libghc-pcap-dev
 , help2man
Standards-Version: 3.9.3
Homepage: http://willthompson.co.uk/bustle/
Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git

Package: bustle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: D-Bus activity visualiser
 Bustle is a tool to chart and provide timing information of D-Bus
 calls for profiling and debugging purposes. It is intended to replace
 reading the cryptic output of dbus-monitor.
 .
 Calls are displayed using Message Sequence Charts, a succinct way of
 representing entities and interactions over time. It can also output
 data in Graphviz format.
 .
 This package contains the graphical visualizer for traces generated
 with the bustle-pcap tool.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
#

THREADED := $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded)

%:
	dh $@

clean:
	dh $@
	[ ! -f ./setup ] || ./setup clean
	rm -rf bustle-pcap dist setup Setup.hi Setup.o

override_dh_auto_configure:
	ghc -package Cabal Setup.hs -o setup
	./setup configure --prefix /usr $(THREADED)

override_dh_auto_build:
	$(MAKE)
	./setup build

override_dh_install:
	./setup copy --destdir debian/bustle
	dh_install

=== debian/watch ===
version=3
http://www.willthompson.co.uk/bustle/releases/(\d+.)+/ bustle-(.*).tar.gz

## bustle 0.4.7

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,23 @@
 DESTDIR =
 PREFIX = /usr/local
 BINDIR = $(DESTDIR)$(PREFIX)/bin
-MAN1DIR = $(DESTDIR)$(PREFIX)/share/man/man1
+DATADIR = $(DESTDIR)$(PREFIX)/share
+MAN1DIR = $(DATADIR)/man/man1
 
 BINARIES = \
 	dist/build/bustle-pcap \
 	$(NULL)
 
 MANPAGE = bustle-pcap.1
+DESKTOP_FILE = bustle.desktop
+APPDATA_FILE = bustle.appdata.xml
+ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
+ICONS = \
+	data/icons/scalable/bustle.svg \
+	$(foreach size,$(ICON_SIZES),data/icons/$(size)/bustle.png) \
+	$(NULL)
 
-all: $(BINARIES) $(MANPAGE)
+all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)
 
 BUSTLE_PCAP_SOURCES = c-sources/pcap-monitor.c c-sources/bustle-pcap.c
 BUSTLE_PCAP_GENERATED_HEADERS = dist/build/autogen/version.h
@@ -21,6 +29,12 @@
 
 bustle-pcap.1: dist/build/bustle-pcap
 	-help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
+
+bustle.desktop: data/bustle.desktop.in
+	LC_ALL=C intltool-merge -d -u po $< $@
+
+bustle.appdata.xml: data/bustle.appdata.xml.in
+	LC_ALL=C intltool-merge -x -u po $< $@
 
 dist/build/bustle-pcap: $(BUSTLE_PCAP_SOURCES) $(BUSTLE_PCAP_HEADERS)
 	@mkdir -p dist/build
@@ -37,15 +51,39 @@
 	mkdir -p $(BINDIR)
 	cp $(BINARIES) $(BINDIR)
 	-mkdir -p $(MAN1DIR)
-	-cp bustle-pcap.1 $(MAN1DIR)
+	-cp $(MANPAGE) $(MAN1DIR)
+	mkdir -p $(DATADIR)/applications
+	cp $(DESKTOP_FILE) $(DATADIR)/applications
+	mkdir -p $(DATADIR)/appdata
+	cp $(APPDATA_FILE) $(DATADIR)/appdata
+	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
+	$(foreach size,$(ICON_SIZES),cp data/icons/$(size)/bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
+	$(MAKE) update-icon-cache
 
 uninstall:
-	rm -f $(notdir $(BINARIES))
+	rm -f $(BINDIR)/$(notdir $(BINARIES))
+	rm -f $(MAN1DIR)/$(MANPAGE)
+	rm -f $(DATADIR)/applications/$(DESKTOP_FILE)
+	rm -f $(DATADIR)/appdata/$(APPDATA_FILE)
+	$(foreach size,$(ICON_SIZES),rm -f $(DATADIR)/icons/hicolor/$(size)/apps/bustle.png)
+	$(MAKE) update-icon-cache
 
 clean:
-	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS)
+	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS) $(DESKTOP_FILE) $(APPDATA_FILE)
 	if test -d ./$(TARBALL_DIR); then rm -r ./$(TARBALL_DIR); fi
 	rm -f ./$(TARBALL)
+
+# Icon cache stuff
+gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DATADIR)/icons/hicolor
+
+update-icon-cache:
+	@-if test -z "$(DESTDIR)"; then \
+		echo "Updating GTK+ icon cache."; \
+		$(gtk_update_icon_cache); \
+	else \
+		echo "*** Icon cache not updated.  After (un)install, run this:"; \
+		echo "***   $(gtk_update_icon_cache)"; \
+	fi
 
 # Binary tarball stuff. Please ignore this unless you're making a release.
 TOP := $(shell pwd)
@@ -55,17 +93,18 @@
 TARBALL := $(TARBALL_DIR).tar.bz2
 maintainer-binary-tarball: all
 	mkdir -p $(TARBALL_FULL_DIR)
-	cabal-dev configure --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
+	cabal-dev install --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
 		--datadir=$(TOP)/$(TARBALL_FULL_DIR) --datasubdir=.
-	cabal-dev build
-	cabal-dev copy
 	cp bustle.sh README $(TARBALL_FULL_DIR)
 	perl -pi -e 's{^    bustle-pcap}{    ./bustle-pcap};' \
 		-e  's{^    bustle}     {    ./bustle.sh};' \
 		$(TARBALL_FULL_DIR)/README
-	cp $(BINARIES) $(MANPAGE) $(TARBALL_FULL_DIR)
+	cp $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(TARBALL_FULL_DIR)
 	mkdir -p $(TARBALL_FULL_DIR)/lib
 	cp LICENSE.bundled-libraries $(TARBALL_FULL_DIR)/lib
 	./ldd-me-up.sh $(TARBALL_FULL_DIR)/bin/bustle \
 		| xargs -I XXX cp XXX $(TARBALL_FULL_DIR)/lib
 	cd $(TARBALL_PARENT_DIR) && tar cjf $(TARBALL) $(TARBALL_DIR)
+
+maintainer-update-messages-pot:
+	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot

=== debian/changelog ===
bustle (0.4.7-2) unstable; urgency=medium

  * d/control: really build depend on intltool

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 02:01:59 +0200

bustle (0.4.7-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump standards version
  * d/control: build depend on haskell gettext
  * d/control: build depend on intltool
  * d/patches/use-system-usr-prefix.patch: refresh

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 00:11:06 +0200

bustle (0.4.2-2) unstable; urgency=low

  * /usr/share/bustle-0.4.2 -> /usr/share/bustle

 -- Louis Bettens <louis@bettens.info>  Wed, 31 Jul 2013 17:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
+         , Louis Bettens <louis@bettens.info>
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
  , pkg-config
@@ -16,8 +17,10 @@
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
+ , libghc-hgettext-dev
  , help2man
-Standards-Version: 3.9.3
+ , intltool
+Standards-Version: 3.9.5
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_configure:
 	ghc -package Cabal Setup.hs -o setup
-	./setup configure --prefix /usr $(THREADED)
+	./setup configure --prefix /usr $(THREADED) --datasubdir=bustle
 
 override_dh_auto_build:
 	$(MAKE)

## bustle 0.4.8

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
 ICONS = \
 	data/icons/scalable/bustle.svg \
+	data/icons/scalable/bustle-symbolic.svg \
 	$(foreach size,$(ICON_SIZES),data/icons/$(size)/bustle.png) \
 	$(NULL)
 
@@ -58,6 +59,8 @@
 	cp $(APPDATA_FILE) $(DATADIR)/appdata
 	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
 	$(foreach size,$(ICON_SIZES),cp data/icons/$(size)/bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
+	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
+	cp data/icons/scalable/bustle-symbolic.svg $(DATADIR)/icons/hicolor/scalable/apps
 	$(MAKE) update-icon-cache
 
 uninstall:
@@ -66,6 +69,7 @@
 	rm -f $(DATADIR)/applications/$(DESKTOP_FILE)
 	rm -f $(DATADIR)/appdata/$(APPDATA_FILE)
 	$(foreach size,$(ICON_SIZES),rm -f $(DATADIR)/icons/hicolor/$(size)/apps/bustle.png)
+	rm -f $(DATADIR)/icons/hicolor/scalable/apps/bustle-symbolic.svg
 	$(MAKE) update-icon-cache
 
 clean:
@@ -95,10 +99,10 @@
 	mkdir -p $(TARBALL_FULL_DIR)
 	cabal-dev install --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
 		--datadir=$(TOP)/$(TARBALL_FULL_DIR) --datasubdir=.
-	cp bustle.sh README $(TARBALL_FULL_DIR)
+	cp bustle.sh README.md $(TARBALL_FULL_DIR)
 	perl -pi -e 's{^    bustle-pcap}{    ./bustle-pcap};' \
 		-e  's{^    bustle}     {    ./bustle.sh};' \
-		$(TARBALL_FULL_DIR)/README
+		$(TARBALL_FULL_DIR)/README.md
 	cp $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(TARBALL_FULL_DIR)
 	mkdir -p $(TARBALL_FULL_DIR)/lib
 	cp LICENSE.bundled-libraries $(TARBALL_FULL_DIR)/lib
@@ -108,3 +112,10 @@
 
 maintainer-update-messages-pot:
 	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot
+
+maintainer-make-release: bustle.cabal
+	cabal test
+	cabal sdist
+	git tag -s -m 'Bustle '`perl -nle 'm/^Version:\s+(.*)$$/ and print qq($$1)' bustle.cabal` \
+		bustle-`perl -nle 'm/^Version:\s+(.*)$$/ and print qq($$1)' bustle.cabal`
+	make maintainer-binary-tarball

=== debian/changelog ===
bustle (0.4.8-1) unstable; urgency=medium

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 May 2015 09:47:01 +0200

bustle (0.4.7-3) unstable; urgency=medium

  [ Ted Gould ]
  * d/control: Split out bustle-pcap into its own binary package. (Closes:
    #772148)

  [ Iain Lane ]
  * Add Breaks/Replaces for file move.

 -- Ted Gould <ted@gould.cx>  Wed, 21 Jan 2015 17:37:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 	./setup build
 
 override_dh_install:
-	./setup copy --destdir debian/bustle
+	./setup copy --destdir debian/tmp
 	dh_install

## bustle 0.5.2

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 BUSTLE_PCAP_HEADERS = c-sources/pcap-monitor.h $(BUSTLE_PCAP_GENERATED_HEADERS)
 
 bustle-pcap.1: dist/build/bustle-pcap
-	-help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
+	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
 
 bustle.desktop: data/bustle.desktop.in
 	LC_ALL=C intltool-merge -d -u po $< $@
@@ -43,10 +43,13 @@
 		-o $@ $(BUSTLE_PCAP_SOURCES) \
 		$(GIO_FLAGS) $(PCAP_FLAGS)
 
-dist/build/autogen/version.h: bustle.cabal
+dist/build/autogen/version.txt: bustle.cabal
 	@mkdir -p `dirname $@`
-	perl -nle 'm/^Version:\s+(.*)$$/ and print qq(#define BUSTLE_VERSION "$$1")' \
+	perl -nle 'm/^Version:\s+(.*)$$/ and print $$1' \
 		$< > $@
+
+dist/build/autogen/version.h: dist/build/autogen/version.txt
+	echo '#define BUSTLE_VERSION "'`cat $<`'"' > $@
 
 install: all
 	mkdir -p $(BINDIR)
@@ -97,7 +100,7 @@
 TARBALL := $(TARBALL_DIR).tar.bz2
 maintainer-binary-tarball: all
 	mkdir -p $(TARBALL_FULL_DIR)
-	cabal-dev install --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
+	cabal install --prefix=$(TOP)/$(TARBALL_FULL_DIR) \
 		--datadir=$(TOP)/$(TARBALL_FULL_DIR) --datasubdir=.
 	cp bustle.sh README.md $(TARBALL_FULL_DIR)
 	perl -pi -e 's{^    bustle-pcap}{    ./bustle-pcap};' \
@@ -109,13 +112,17 @@
 	./ldd-me-up.sh $(TARBALL_FULL_DIR)/bin/bustle \
 		| xargs -I XXX cp XXX $(TARBALL_FULL_DIR)/lib
 	cd $(TARBALL_PARENT_DIR) && tar cjf $(TARBALL) $(TARBALL_DIR)
+	rm -r $(TARBALL_FULL_DIR)
 
 maintainer-update-messages-pot:
 	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot
 
-maintainer-make-release: bustle.cabal
+maintainer-make-release: bustle.cabal dist/build/autogen/version.txt
 	cabal test
 	cabal sdist
-	git tag -s -m 'Bustle '`perl -nle 'm/^Version:\s+(.*)$$/ and print qq($$1)' bustle.cabal` \
-		bustle-`perl -nle 'm/^Version:\s+(.*)$$/ and print qq($$1)' bustle.cabal`
+	git tag -s -m 'Bustle '`cat dist/build/autogen/version.txt` \
+		bustle-`cat dist/build/autogen/version.txt`
 	make maintainer-binary-tarball
+
+.travis.yml: bustle.cabal make_travis_yml.hs
+	./make_travis_yml.hs $< libpcap-dev libgtk-3-dev libcairo2-dev happy-1.19.4 alex-3.1.3 > $@

=== debian/changelog ===
bustle (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Fixes FTBFS: Bustle/Loader/OldSkool.hs:122:23: Ambiguous occurrence `<*>'
    (Closes: #808017)
  * d/watch: update for new URL.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Jan 2016 13:12:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
  , libglib2.0-dev (>= 2.26)
  , libghc-mtl-dev
  , libghc-cairo-dev
- , libghc-gtk-dev
+ , libghc-gtk3-dev (>= 0.13.7)
  , libghc-parsec3-dev
- , libghc-glade-dev
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
@@ -28,6 +27,7 @@
 Package: bustle
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: bustle-pcap
 Suggests: graphviz
 Description: D-Bus activity visualiser
  Bustle is a tool to chart and provide timing information of D-Bus
@@ -39,4 +39,17 @@
  data in Graphviz format.
  .
  This package contains the graphical visualizer for traces generated
- with the bustle-pcap tool.
+ with the bustle-pcap tool in the bustle-pcap package.
+
+Package: bustle-pcap
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: bustle (<< 0.4.7-3~)
+Replaces: bustle (<< 0.4.7-3~)
+Description: D-Bus traffic capture tool for the pcap format
+ Bustle is a tool to chart and provide timing information of D-Bus
+ calls for profiling and debugging purposes. It is intended to replace
+ reading the cryptic output of dbus-monitor.
+ .
+ This package contains the capture tool which will capture the D-Bus
+ traffic into a pcap file that can be visualized using Bustle.

=== debian/watch ===
version=3
##http://www.willthompson.co.uk/bustle/releases/(\d+.)+/ bustle-(.*).tar.gz
http://www.freedesktop.org/software/bustle/(\d+.)+/ bustle-(.*).tar.gz

## bustle 0.5.4

=== Makefile ===
--- 
+++ 
@@ -123,6 +123,8 @@
 	git tag -s -m 'Bustle '`cat dist/build/autogen/version.txt` \
 		bustle-`cat dist/build/autogen/version.txt`
 	make maintainer-binary-tarball
+	gpg --detach-sign --armor dist/bustle-`cat dist/build/autogen/version.txt`.tar.gz
+	gpg --detach-sign --armor dist/bustle-`cat dist/build/autogen/version.txt`-x86_64.tar.bz2
 
 .travis.yml: bustle.cabal make_travis_yml.hs
 	./make_travis_yml.hs $< libpcap-dev libgtk-3-dev libcairo2-dev happy-1.19.4 alex-3.1.3 > $@

=== debian/changelog ===
bustle (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * debian/watch: improve regex and use https url
  * move bustle-pcap man file into bustle-pcap package. (Closes: #783689)
  * debian/patches:
    - drop 0002-Use-g_thread_try_new-rather-than-g_thread_create.patch
      (upstreamed)
    - add 0001-bustle-pcap-stop-leaking-so-much-in-parse_arguments.patch
      (taken from upstream)
  * debian/bustle.install: avoid redundant copyright files
  * debian/compat: bump to version 9
  * debian/control: Update my uploader name
  * debian/control: bump standards version. No changes
  * debian/control: update bustle-pcap replaces due to manpage move.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 11 Dec 2016 23:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Hector Oron <zumbi@debian.org>, Iain Lane <laney@debian.org>
+Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
@@ -19,7 +19,7 @@
  , libghc-hgettext-dev
  , help2man
  , intltool
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git
@@ -45,7 +45,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: bustle (<< 0.4.7-3~)
-Replaces: bustle (<< 0.4.7-3~)
+Replaces: bustle (<< 0.5.4-1~)
 Description: D-Bus traffic capture tool for the pcap format
  Bustle is a tool to chart and provide timing information of D-Bus
  calls for profiling and debugging purposes. It is intended to replace

=== debian/watch ===
version=3
##http://www.willthompson.co.uk/bustle/releases/(\d+.)+/ bustle-(.*).tar.gz
https://www.freedesktop.org/software/bustle/([\d].*)/ bustle-([\d].*)\.tar\.gz

## bustle 0.6.2

=== Makefile ===
CFLAGS = -g -O2 -Wall -Wunused
DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
DESTDIR =
PREFIX = /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
DATADIR = $(DESTDIR)$(PREFIX)/share
MAN1DIR = $(DATADIR)/man/man1

BINARIES = \
	dist/build/bustle-pcap \
	$(NULL)

MANPAGE = bustle-pcap.1
DESKTOP_FILE = org.freedesktop.Bustle.desktop
APPDATA_FILE = org.freedesktop.Bustle.appdata.xml
ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
ICONS = \
	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg \
	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg \
	$(foreach size,$(ICON_SIZES),data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png) \
	$(NULL)

all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)

BUSTLE_PCAP_SOURCES = c-sources/pcap-monitor.c c-sources/bustle-pcap.c
BUSTLE_PCAP_GENERATED_HEADERS = dist/build/autogen/version.h
BUSTLE_PCAP_HEADERS = c-sources/pcap-monitor.h $(BUSTLE_PCAP_GENERATED_HEADERS)

bustle-pcap.1: dist/build/bustle-pcap
	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<

org.freedesktop.Bustle.desktop: data/org.freedesktop.Bustle.desktop.in
	LC_ALL=C intltool-merge -d -u po $< $@

org.freedesktop.Bustle.appdata.xml: data/org.freedesktop.Bustle.appdata.xml.in
	LC_ALL=C intltool-merge -x -u po $< $@

# https://github.com/flathub/flathub/wiki/Review-Guidelines
validate-metadata: org.freedesktop.Bustle.desktop org.freedesktop.Bustle.appdata.xml
	desktop-file-validate org.freedesktop.Bustle.desktop
	appstream-util validate-relax org.freedesktop.Bustle.appdata.xml
	# This is only a SHOULD. Screenshots currently violate it because they
	# are hidpi.
	appstream-util validate org.freedesktop.Bustle.appdata.xml || true

dist/build/bustle-pcap: $(BUSTLE_PCAP_SOURCES) $(BUSTLE_PCAP_HEADERS)
	@mkdir -p dist/build
	$(CC) -Idist/build/autogen $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
		-o $@ $(BUSTLE_PCAP_SOURCES) \
		$(GIO_FLAGS) $(PCAP_FLAGS)

dist/build/autogen/version.txt: bustle.cabal
	@mkdir -p `dirname $@`
	perl -nle 'm/^Version:\s+(.*)$$/ and print $$1' \
		$< > $@

dist/build/autogen/version.h: dist/build/autogen/version.txt
	echo '#define BUSTLE_VERSION "'`cat $<`'"' > $@

install: all
	mkdir -p $(BINDIR)
	cp $(BINARIES) $(BINDIR)
	-mkdir -p $(MAN1DIR)
	-cp $(MANPAGE) $(MAN1DIR)
	mkdir -p $(DATADIR)/applications
	cp $(DESKTOP_FILE) $(DATADIR)/applications
	mkdir -p $(DATADIR)/appdata
	cp $(APPDATA_FILE) $(DATADIR)/appdata
	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
	$(foreach size,$(ICON_SIZES),cp data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
	cp data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg $(DATADIR)/icons/hicolor/scalable/apps
	$(MAKE) update-icon-cache

uninstall:
	rm -f $(BINDIR)/$(notdir $(BINARIES))
	rm -f $(MAN1DIR)/$(MANPAGE)
	rm -f $(DATADIR)/applications/$(DESKTOP_FILE)
	rm -f $(DATADIR)/appdata/$(APPDATA_FILE)
	$(foreach size,$(ICON_SIZES),rm -f $(DATADIR)/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png)
	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg
	$(MAKE) update-icon-cache

clean:
	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS) $(DESKTOP_FILE) $(APPDATA_FILE)
	if test -d ./$(TARBALL_DIR); then rm -r ./$(TARBALL_DIR); fi
	rm -f ./$(TARBALL)

# Icon cache stuff
gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DATADIR)/icons/hicolor

update-icon-cache:
	@-if test -z "$(DESTDIR)"; then \
		echo "Updating GTK+ icon cache."; \
		$(gtk_update_icon_cache); \
	else \
		echo "*** Icon cache not updated.  After (un)install, run this:"; \
		echo "***   $(gtk_update_icon_cache)"; \
	fi

# Flatpak stuff
org.freedesktop.Bustle.flatpak: flatpak/org.freedesktop.Bustle.json
	rm -rf _build
	flatpak-builder --repo=repo -v _build $<
	flatpak build-bundle repo org.freedesktop.Bustle.flatpak org.freedesktop.Bustle

# Maintainer stuff
maintainer-update-messages-pot:
	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot

maintainer-make-release: bustle.cabal dist/build/autogen/version.txt
	cabal test
	cabal sdist
	git tag -s -m 'Bustle '`cat dist/build/autogen/version.txt` \
		bustle-`cat dist/build/autogen/version.txt`
	gpg --detach-sign --armor dist/bustle-`cat dist/build/autogen/version.txt`.tar.gz

.travis.yml: bustle.cabal make_travis_yml.hs
	./make_travis_yml.hs $< libpcap-dev libgtk-3-dev libcairo2-dev happy-1.19.4 alex-3.1.3 > $@

=== debian/changelog ===
bustle (0.6.2-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Switch Vcs-* fields to salsa.
  * New upstream version.
    - Fixes FTBFS. closes: #897511.

 -- Clint Adams <clint@debian.org>  Mon, 07 May 2018 21:28:29 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 7.0.50)
  , ghc (>= 6.10)
  , pkg-config
@@ -19,10 +20,10 @@
  , libghc-hgettext-dev
  , help2man
  , intltool
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://willthompson.co.uk/bustle/
-Vcs-Git: git://anonscm.debian.org/pkg-haskell/bustle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haskell/bustle.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: bustle
 Architecture: any

## bustle 0.7.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS = -g -O2 -Wall -Wunused
+CFLAGS = -g -O2 -Wall -Wunused -Waddress
 DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
 GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
 PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
@@ -16,11 +16,13 @@
 DESKTOP_FILE = org.freedesktop.Bustle.desktop
 APPDATA_FILE = org.freedesktop.Bustle.appdata.xml
 ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
-ICONS = \
+SCALABLE_ICONS = \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg \
+	$(NULL)
+ICONS = \
+	$(SCALABLE_ICONS) \
 	$(foreach size,$(ICON_SIZES),data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png) \
-	$(NULL)
 
 all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)
 
@@ -32,10 +34,10 @@
 	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
 
 org.freedesktop.Bustle.desktop: data/org.freedesktop.Bustle.desktop.in
-	LC_ALL=C intltool-merge -d -u po $< $@
+	msgfmt --desktop -d po --template $< -o $@
 
 org.freedesktop.Bustle.appdata.xml: data/org.freedesktop.Bustle.appdata.xml.in
-	LC_ALL=C intltool-merge -x -u po $< $@
+	msgfmt --xml -d po --template $< -o $@
 
 # https://github.com/flathub/flathub/wiki/Review-Guidelines
 validate-metadata: org.freedesktop.Bustle.desktop org.freedesktop.Bustle.appdata.xml
@@ -71,7 +73,7 @@
 	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
 	$(foreach size,$(ICON_SIZES),cp data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
 	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
-	cp data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg $(DATADIR)/icons/hicolor/scalable/apps
+	cp $(SCALABLE_ICONS) $(DATADIR)/icons/hicolor/scalable/apps
 	$(MAKE) update-icon-cache
 
 uninstall:
@@ -85,8 +87,6 @@
 
 clean:
 	rm -f $(BINARIES) $(MANPAGE) $(BUSTLE_PCAP_GENERATED_HEADERS) $(DESKTOP_FILE) $(APPDATA_FILE)
-	if test -d ./$(TARBALL_DIR); then rm -r ./$(TARBALL_DIR); fi
-	rm -f ./$(TARBALL)
 
 # Icon cache stuff
 gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DATADIR)/icons/hicolor
@@ -108,14 +108,12 @@
 
 # Maintainer stuff
 maintainer-update-messages-pot:
-	find Bustle -name '*.hs' -print0 | xargs -0 hgettext -k __ -o po/messages.pot
+	find Bustle -name '*.hs' -print0 | xargs -0 stack exec -- hgettext -k __ -o po/messages.pot
+	xgettext data/bustle.ui data/org.freedesktop.Bustle.desktop.in \
+		data/org.freedesktop.Bustle.appdata.xml.in --join-existing -o po/messages.pot
 
 maintainer-make-release: bustle.cabal dist/build/autogen/version.txt
-	cabal test
-	cabal sdist
+	stack sdist --test-tarball
 	git tag -s -m 'Bustle '`cat dist/build/autogen/version.txt` \
 		bustle-`cat dist/build/autogen/version.txt`
 	gpg --detach-sign --armor dist/bustle-`cat dist/build/autogen/version.txt`.tar.gz
-
-.travis.yml: bustle.cabal make_travis_yml.hs
-	./make_travis_yml.hs $< libpcap-dev libgtk-3-dev libcairo2-dev happy-1.19.4 alex-3.1.3 > $@

=== debian/changelog ===
bustle (0.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 14 Dec 2018 19:16:55 +0100

bustle (0.6.2-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:10 +0300

bustle (0.6.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:20 +0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,13 @@
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 7.0.50)
- , ghc (>= 6.10)
+Build-Depends: debhelper (>= 10)
+ , ghc (>= 8.4.3)
  , pkg-config
  , libdbus-1-dev
  , libglib2.0-dev (>= 2.26)
- , libghc-mtl-dev
  , libghc-cairo-dev
  , libghc-gtk3-dev (>= 0.13.7)
- , libghc-parsec3-dev
  , libpcap0.8-dev
  , libghc-dbus-dev
  , libghc-pcap-dev
@@ -23,7 +21,7 @@
 Standards-Version: 4.1.4
 Homepage: http://willthompson.co.uk/bustle/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bustle]
 
 Package: bustle
 Architecture: any

## bustle 0.7.5

=== debian/changelog ===
bustle (0.7.5-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:29 +0000

bustle (0.7.5-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:00:29 +0000

bustle (0.7.5-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Sep 2019 00:54:22 +0200

## bustle 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CFLAGS = -g -O2 -Wall -Wunused -Waddress
 DBUS_FLAGS = $(shell pkg-config --cflags --libs dbus-1)
 GIO_FLAGS := $(shell pkg-config --cflags --libs 'glib-2.0 >= 2.26' gio-2.0 gio-unix-2.0)
-PCAP_FLAGS := $(shell pcap-config --cflags pcap-config --libs)
+PCAP_CONFIG ?= pcap-config
+PCAP_FLAGS := $(shell $(PCAP_CONFIG) --cflags pcap-config --libs)
 DESTDIR =
 PREFIX = /usr/local
 BINDIR = $(DESTDIR)$(PREFIX)/bin
@@ -15,20 +16,23 @@
 MANPAGE = bustle-pcap.1
 DESKTOP_FILE = org.freedesktop.Bustle.desktop
 APPDATA_FILE = org.freedesktop.Bustle.appdata.xml
-ICON_SIZES = 16x16 22x22 32x32 48x48 256x256
 SCALABLE_ICONS = \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg \
+	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle.Devel.svg \
 	data/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg \
 	$(NULL)
-ICONS = \
-	$(SCALABLE_ICONS) \
-	$(foreach size,$(ICON_SIZES),data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png) \
 
-all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(ICONS)
+all: $(BINARIES) $(MANPAGE) $(DESKTOP_FILE) $(APPDATA_FILE) $(SCALABLE_ICONS)
 
-BUSTLE_PCAP_SOURCES = c-sources/pcap-monitor.c c-sources/bustle-pcap.c
+BUSTLE_PCAP_SOURCES = \
+	c-sources/pcap-reader.c \
+	c-sources/pcap-monitor.c \
+	c-sources/bustle-pcap.c
 BUSTLE_PCAP_GENERATED_HEADERS = dist/build/autogen/version.h
-BUSTLE_PCAP_HEADERS = c-sources/pcap-monitor.h $(BUSTLE_PCAP_GENERATED_HEADERS)
+BUSTLE_PCAP_HEADERS = \
+	c-sources/pcap-reader.h \
+	c-sources/pcap-monitor.h \
+	$(BUSTLE_PCAP_GENERATED_HEADERS)
 
 bustle-pcap.1: dist/build/bustle-pcap
 	help2man --output=$@ --no-info --name='Generate D-Bus logs for bustle' $<
@@ -42,10 +46,7 @@
 # https://github.com/flathub/flathub/wiki/Review-Guidelines
 validate-metadata: org.freedesktop.Bustle.desktop org.freedesktop.Bustle.appdata.xml
 	desktop-file-validate org.freedesktop.Bustle.desktop
-	appstream-util validate-relax org.freedesktop.Bustle.appdata.xml
-	# This is only a SHOULD. Screenshots currently violate it because they
-	# are hidpi.
-	appstream-util validate org.freedesktop.Bustle.appdata.xml || true
+	appstream-util validate org.freedesktop.Bustle.appdata.xml
 
 dist/build/bustle-pcap: $(BUSTLE_PCAP_SOURCES) $(BUSTLE_PCAP_HEADERS)
 	@mkdir -p dist/build
@@ -62,18 +63,12 @@
 	echo '#define BUSTLE_VERSION "'`cat $<`'"' > $@
 
 install: all
-	mkdir -p $(BINDIR)
-	cp $(BINARIES) $(BINDIR)
-	-mkdir -p $(MAN1DIR)
-	-cp $(MANPAGE) $(MAN1DIR)
-	mkdir -p $(DATADIR)/applications
-	cp $(DESKTOP_FILE) $(DATADIR)/applications
-	mkdir -p $(DATADIR)/appdata
-	cp $(APPDATA_FILE) $(DATADIR)/appdata
-	$(foreach size,$(ICON_SIZES),mkdir -p $(DATADIR)/icons/hicolor/$(size)/apps; )
-	$(foreach size,$(ICON_SIZES),cp data/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png $(DATADIR)/icons/hicolor/$(size)/apps; )
-	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
-	cp $(SCALABLE_ICONS) $(DATADIR)/icons/hicolor/scalable/apps
+	install -D -t $(BINDIR) $(BINARIES)
+	-install -Dt $(MAN1DIR) $(MANPAGE)
+	-install -Dt $(MAN1DIR) $(MANPAGE)
+	install -Dt $(DATADIR)/applications $(DESKTOP_FILE)
+	install -Dt $(DATADIR)/appdata $(APPDATA_FILE)
+	install -Dt $(DATADIR)/icons/hicolor/scalable/apps $(SCALABLE_ICONS)
 	$(MAKE) update-icon-cache
 
 uninstall:
@@ -81,7 +76,8 @@
 	rm -f $(MAN1DIR)/$(MANPAGE)
 	rm -f $(DATADIR)/applications/$(DESKTOP_FILE)
 	rm -f $(DATADIR)/appdata/$(APPDATA_FILE)
-	$(foreach size,$(ICON_SIZES),rm -f $(DATADIR)/icons/hicolor/$(size)/apps/org.freedesktop.Bustle.png)
+	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle.svg
+	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle.Devel.svg
 	rm -f $(DATADIR)/icons/hicolor/scalable/apps/org.freedesktop.Bustle-symbolic.svg
 	$(MAKE) update-icon-cache

=== debian/changelog ===
bustle (0.8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:15 +1100

bustle (0.8.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:59:31 +0000

bustle (0.8.0-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Patch to compile with newer libpcap (Closes: #1028699)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Jan 2023 22:28:17 +0200

bustle (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 20 Aug 2020 08:19:11 +0300

bustle (0.7.5-2) unstable; urgency=medium

  * Add upstream patches to make it build without gettext support
    (From NixOS) (Closes: #939826)
    - debian/patches/ee4b81cbc232d47ba9940f1987777b17452e71ff.patch:
    - debian/patches/aae6843f51f54679d440fb3813e61355dc8406b9.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 10:52:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: bustle
 Section: devel
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Iain Lane <laney@debian.org>
          , Louis Bettens <louis@bettens.info>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10)
- , ghc (>= 8.4.3)
- , pkg-config
- , libdbus-1-dev
- , libglib2.0-dev (>= 2.26)
- , libghc-cairo-dev
- , libghc-gtk3-dev (>= 0.13.7)
- , libpcap0.8-dev
- , libghc-dbus-dev
- , libghc-pcap-dev
- , libghc-hgettext-dev
- , help2man
- , intltool
-Standards-Version: 4.1.4
-Homepage: http://willthompson.co.uk/bustle/
+Build-Depends: debhelper (>= 10),
+ ghc,
+ pkg-config,
+ libdbus-1-dev,
+ libglib2.0-dev (>= 2.26),
+ libpcap-dev,
+ libghc-cairo-dev,
+ libghc-gio-dev,
+ libghc-glib-dev,
+ libghc-gtk3-dev,
+ libghc-pango-dev,
+ help2man,
+ intltool,
+Standards-Version: 4.6.1
+Homepage: https://gitlab.freedesktop.org/bustle/bustle#readme
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bustle
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bustle]

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 clean:
 	dh $@
 	[ ! -f ./setup ] || ./setup clean
-	rm -rf bustle-pcap dist setup Setup.hi Setup.o
+	rm -rf bustle-pcap dist setup Setup.hi Setup.o GetText.o GetText.hi
 
 override_dh_auto_configure:
 	ghc -package Cabal Setup.hs -o setup

=== debian/watch ===
version=3
https://hackage.haskell.org/package/bustle/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bustle 0.11.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Bustle. One of "default" or "development".'
)

=== debian/changelog ===
bustle (0.11.0-2) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 08:16:17 -0400

bustle (0.11.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * Declare compliance with Debian policy 4.7.0

  [ Matthias Geiger ]
  * Team upload
  * New upstream release (Closes: #1079210, #1101543, #1084243, #1084512) 
  * d/patches: Drop, obsolete
  * d/watch: Update for new upstream location
  * d/u/metadata: Add
  * d/compat: Drop, depend on dh-compat in d/control instead
  * d/dirs: Drop, obsolete
  * d/control: Update Maintainer/Uploaders
  * d/control: Update Vcs-Urls and Homepage
  * d/control: Update S-V to 4.7.0, no changes needed
  * d/control: Add new rust build-dependencies
  * d/rules: Update for rust/meson build
  * Add patch to build with debian crates
  * Stop building bustle-pcap package, it does not exist in the new version
  * Drop linitan-overrides file, obsolete
  * d/control: Mention GNOME Circle in long description
  * d/copyright: Update for new upstream
  * d/docs: Drop, obsolete
  * d/gbp.conf, d/salsa-ci.yml: Add

 -- Matthias Geiger <werdahias@debian.org>  Thu, 10 Apr 2025 22:16:57 +0200

=== debian/control ===
Source: bustle
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 libglib2.0-dev (>= 2.66),
 libgtk-4-dev (>= 4.15.3),
 libadwaita-1-dev (>= 1.6~alpha),
 desktop-file-utils,
 cargo:native,
 rustc:native (>= 1.85),
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.69-~~),
 librust-futures-util-0.3+default-dev (>= 0.3.31-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-47-dev,
 librust-indexmap-2+default-dev (>= 2.2.1-~~),
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-pcap-file-2+default-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tracing-0.1+default-dev (>= 0.1.36-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.15-~~),
 librust-zbus-5+tokio-dev (>= 5.1-~~)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Bustle/
Vcs-Browser: https://salsa.debian.org/gnome-team/bustle
Vcs-Git: https://salsa.debian.org/gnome-team/bustle.git

Package: bustle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: D-Bus activity visualiser
 Bustle is a tool to chart and provide timing information of D-Bus
 calls for profiling and debugging purposes. It is intended to replace
 reading the cryptic output of dbus-monitor.
 .
 Calls are displayed using Message Sequence Charts, a succinct way of
 representing entities and interactions over time. It can also output
 data in Graphviz format.
 .
 Bustle is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5
